Subject: linux-next: manual merge of the hwmon-staging tree with the hwmon-fixes tree

From: Thierry Reding <[email-masked]>
Date: Fri, 08 May 2026 13:13:15 +0200

Hi all,

Today's linux-next merge of the hwmon-staging tree got a conflict in:

  drivers/hwmon/lm75.c

between commit:

  3607422cdeeb ("hwmon: (lm75) Fix AS6200 and TMP112 setup and alarm handling")

from the hwmon-fixes tree and commit:

  4ab59263fd78 ("hwmon: (lm75) Fix AS6200 setup and alarm handling")

from the hwmon-staging tree.

I fixed it up by using the version from hwmon-staging. There's a 50%
chance that I got it right. This is now fixed as far as linux-next is
concerned, but any non trivial conflicts should be mentioned to your
upstream maintainer when your tree is submitted for merging.  You may
also want to consider cooperating with the maintainer of the conflicting
tree to minimise any particularly complex conflicts.